---
title: Get resource type
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > SCIM
---

# Get resource type{% #get-resource-type %}

{% tab title="v2" %}

| Datadog site      | API endpoint                                                              |
| ----------------- | ------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/scim/ResourceTypes/{resource_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/scim/ResourceTypes/{resource_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/scim/ResourceTypes/{resource_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/scim/ResourceTypes/{resource_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/scim/ResourceTypes/{resource_id}  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/scim/ResourceTypes/{resource_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/scim/ResourceTypes/{resource_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/scim/ResourceTypes/{resource_id} |

### Overview

Get a single SCIM resource type using the `resource_id`. Supported `resource_id` values are `User` and `Group`. This endpoint requires all of the following permissions:
`user_access_invite``user_access_manage` 


### Arguments

#### Path Parameters

| Name                          | Type   | Description                              |
| ----------------------------- | ------ | ---------------------------------------- |
| resource_id [*required*] | string | The id of the resource type to retrieve. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Definition of a SCIM resource type.

| Parent field | Field        | Type     | Description                                                                       |
| ------------ | ------------ | -------- | --------------------------------------------------------------------------------- |
|              | description  | string   | Human-readable description of the resource type.                                  |
|              | endpoint     | string   | HTTP-addressable endpoint relative to the base URL where the resource is located. |
|              | id           | string   | The resource type's server unique id.                                             |
|              | meta         | object   | Metadata associated with a resource type.                                         |
| meta         | location     | string   | URL identifying the resource type.                                                |
| meta         | resourceType | string   | Type of resource.                                                                 |
|              | name         | string   | The resource type name.                                                           |
|              | schema       | string   | The resource type's primary or base SCIM schema URI.                              |
|              | schemas      | [string] | A list of SCIM schema URI identifying the protocol or schema used in this object. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "description": "https://tools.ietf.org/html/rfc7643#section-8.7.1",
  "endpoint": "/Users",
  "id": "User",
  "meta": {
    "location": "https://app.datadoghq.com/api/v2/scim/ResourceTypes/User",
    "resourceType": "ResourceType"
  },
  "name": "User",
  "schema": "urn:ietf:params:scim:schemas:core:2.0:User",
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:ResourceType"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export resource_id="CHANGE_ME" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/scim/ResourceTypes/${resource_id}" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}" 
                
{% /tab %}
